Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZConsultationType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $relations=false)
| get ( $id=-1)
| setName ( $name)
| id ()
| name ()
| count ()
| moveUp ()
| moveDown ()

## Static Public Member Functions
static | findTypes ()

## Public Attributes
| $ID
| $Name
| $ListOrder

## Detailed Description

! eZContact eZConsultationType handles consultation types.

Example code:

$type = new eZConsultationType();
$type->setName( "Negotiating" );
$type->store();
$stored_type = new eZConsultationType( $consultID );
$types = eZConsultationType::findTypes();
foreach ( $types as $type )
{
print( $type->name() );
}
$types
$types
Definition: articlepreview.php:108
eZConsultationType
Definition: ezconsultationtype.php:54
eZConsultationType\findTypes
static findTypes()
Definition: ezconsultationtype.php:224
$type
$type
Definition: classes/admin/linkselect.php:220

See also
  eZConsultation

Definition at line 53 of file ezconsultationtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZConsultationType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZConsultationType object.

If $id is set the object's values are fetched from the database.

Definition at line 61 of file ezconsultationtype.php.

References $id, and $ID.

## Member Function Documentation

## ◆ count()

eZConsultationType::count | ( |  | ) |

Returns the number of external items using this item.

Definition at line 177 of file ezconsultationtype.php.

References $db, and eZDB\globalDatabase().

Referenced by store().

## ◆ delete()

eZConsultationType::delete | ( |  | $relations = `false` | ) |

Deletes an eZConsultation object from the database, if $relations is true all relations to this item is deleted too.

Definition at line 108 of file ezconsultationtype.php.

References $db, $res, $user, eZUser\currentUser(), eZConsultation\delete(), eZDB\finish(), and eZDB\globalDatabase().

## ◆ findTypes()

static eZConsultationType::findTypes | ( |  | ) |
| static

Finds all consultation types. Returns an array with eZConsultationType objects taken from the database.

Definition at line 224 of file ezconsultationtype.php.

References $db, and eZDB\globalDatabase().

## ◆ get()

eZConsultationType::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 133 of file ezconsultationtype.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ id()

eZConsultationType::id | ( |  | ) |

Returns the id of the consultation type.

Definition at line 161 of file ezconsultationtype.php.

References $ID.

## ◆ moveDown()

eZConsultationType::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 205 of file ezconsultationtype.php.

References $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## ◆ moveUp()

eZConsultationType::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 187 of file ezconsultationtype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ name()

eZConsultationType::name | ( |  | ) |

Returns the name of the consultation type.

Definition at line 169 of file ezconsultationtype.php.

References $Name.

## ◆ setName()

eZConsultationType::setName | ( |  | $name | ) |

Sets the name of the consultation type.

Definition at line 153 of file ezconsultationtype.php.

References $name, and Name.

## ◆ store()

eZConsultationType::store | ( |  | ) |

Stores the consultation type to the database.

Definition at line 73 of file ezconsultationtype.php.

References $db, $name, $res, count(), eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZConsultationType::$ID

Definition at line 237 of file ezconsultationtype.php.

Referenced by __construct(), and id().

## ◆ $ListOrder

eZConsultationType::$ListOrder

Definition at line 239 of file ezconsultationtype.php.

## ◆ $Name

eZConsultationType::$Name

Definition at line 238 of file ezconsultationtype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezconsultationtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.